function middle() {
    console.log("Middle");
}

console.log("Start");

setTimeout(function cb(){
    console.log("This will be delayed by approximately 2 seconds");
}, 2000);

middle();

setTimeout(middle, 1000);

setTimeout(function cb(){
    console.log("This will be delayed by 0 seconds");
}, 0);

queueMicrotask(() => {
    console.log("This was a Microtask");
});

console.log("End");